commit 7038ccd5ea5b42f1c02c46dfa1dd23355d503ee7
Author: Jan Büren <jan@kivitendo-premium.de>
Date:   Tue Jul 28 14:39:17 2015 +0200

    Lieferwertbericht - unnötige Konfigurationsparameter entfernt (Ergänzung)
    
    Vergessene Dateien zum Commit von gerade

diff --git a/SL/Controller/DeliveryPlan.pm b/SL/Controller/DeliveryPlan.pm
index ebb0dba50..cc74b9921 100644
--- a/SL/Controller/DeliveryPlan.pm
+++ b/SL/Controller/DeliveryPlan.pm
@@ -87,7 +87,7 @@ sub prepare_report {
                             visible => $vc eq 'customer',
                            obj_link => sub { $self->link_to($_[0]->order->customer)                                          } },
     value_of_goods    => {      sub => sub { $::form->format_amount(\%::myconfig, $_[0]->value_of_goods, 2) . ' ' . $_[0]->taxincluded },
-                            visible => $::auth->assert('sales_order_edit', 1) && $mode eq 'delivery_value_report' &&   $::instance_conf->get_delivery_plan_show_value_of_goods, },
+                            visible => $mode eq 'delivery_value_report' },
   );
 
   $column_defs{$_}->{text} = $sort_columns{$_} for keys %column_defs;
diff --git a/SL/DB/MetaSetup/Default.pm b/SL/DB/MetaSetup/Default.pm
index 5671a4bb0..2622d407a 100644
--- a/SL/DB/MetaSetup/Default.pm
+++ b/SL/DB/MetaSetup/Default.pm
@@ -41,7 +41,6 @@ __PACKAGE__->meta->columns(
   datev_check_on_purchase_invoice           => { type => 'boolean', default => 'true' },
   datev_check_on_sales_invoice              => { type => 'boolean', default => 'true' },
   delivery_plan_calculate_transferred_do    => { type => 'boolean', default => 'false', not_null => 1 },
-  delivery_plan_show_value_of_goods         => { type => 'boolean', default => 'false', not_null => 1 },
   disabled_price_sources                    => { type => 'array' },
   dunning_ar                                => { type => 'integer' },
   dunning_ar_amount_fee                     => { type => 'integer' },
diff --git a/locale/de/all b/locale/de/all
index 0f4a971ad..2c0905f52 100755
--- a/locale/de/all
+++ b/locale/de/all
@@ -2382,7 +2382,6 @@ $self->{texts} = {
   'Show Stornos'                => 'Stornos anzeigen',
   'Show TODO list'              => 'Aufgabenliste anzeigen',
   'Show Transfer via default'   => 'Ein- / Auslagern über Standardlagerplatz anzeigen (zusätzlicher Knopf in Beleg Lieferschein)',
-  'Show Value of Goods for Delivery Plan' => 'Warenverkaufswert im Lieferplan anzeigen.',
   'Show administration link'    => 'Link zur Administration anzeigen',
   'Show all parts'              => 'Alle Artikel anzeigen',
   'Show by default'             => 'Standardm&auml;&szlig;ig anzeigen',
@@ -2655,7 +2654,7 @@ $self->{texts} = {
   'The dataset #1 has been created.' => 'Die Datenbank #1 wurde angelegt.',
   'The dataset #1 has been deleted.' => 'Die Datenbank #1 wurde gelöscht.',
   'The deductible amount'       => 'Der abziehbare Skontobetrag',
-  'The default delivery plan only checks if all delivery orders have been created not if the goods are transferred. This feature will check if all the goods are transferred. Caveat: Only the state of the delivery orders are checked not partial transferred delivery orders (in technical terms: the table inventory is not checked' => 'Standardmässig wird beim Lieferplan überprüft, ob es eine vollständige Liefermenge über alle Lieferscheine gibt. Dies ist dann die Statusbedingung für geliefert oder nicht geliefert. Mit dieser Erweiterung wird geprüft ob die Lieferbelege auch wirklich ausgelagert sind oder nicht. Teilausgelagerte Lieferscheine werden allerdings nicht berücksichtigt (Technischer Hintergrund: Keine Überprüfung der Lagertabelle inventory).',
+  'The default delivery value report only checks if all delivery orders have been created not if the goods are transferred. This feature will check if all the goods are transferred. Caveat: Only the state of the delivery orders are checked not partial transferred delivery orders (in technical terms: the table inventory is not checked' => 'Standardmässig wird beim Lieferwertbericht überprüft, ob es eine vollständige Liefermenge über alle Lieferscheine gibt. Dies ist dann die Statusbedingung für geliefert oder nicht geliefert. Mit dieser Erweiterung wird geprüft ob die Lieferbelege auch wirklich ausgelagert sind oder nicht. Teilausgelagerte Lieferscheine werden allerdings nicht berücksichtigt (Technischer Hintergrund: Keine Überprüfung der Lagertabelle inventory).  ',
   'The default value depends on the variable type:' => 'Die Bedeutung des Standardwertes h&auml;ngt vom Variablentypen ab:',
   'The delivery order has not been marked as delivered. The warehouse contents have not changed.' => 'Der Lieferschein wurde nicht als geliefert markiert. Der Lagerinhalt wurde nicht verändert.',
   'The delivery term has been created.' => 'Die Lieferbedingungen wurden angelegt.',
diff --git a/templates/webpages/client_config/_warehouse.html b/templates/webpages/client_config/_warehouse.html
index b8854d161..89faba5b0 100644
--- a/templates/webpages/client_config/_warehouse.html
+++ b/templates/webpages/client_config/_warehouse.html
@@ -98,22 +98,13 @@
    </td>
   </tr>
   <tr><td colspan="3"><hr /></td></tr>
-  <tr>
-   <td align="right">[% LxERP.t8('Show Value of Goods for Delivery Plan') %]</td>
-   <td>
-    [% L.yes_no_tag('defaults.delivery_plan_show_value_of_goods', SELF.defaults.delivery_plan_show_value_of_goods) %]
-   </td>
-   <td>
-   [% LxERP.t8('Calculate the value of goods for delivery plan (WARNING:  Experimental (not taxincluded safe!)') %]
-   </td>
-  </tr>
  <tr>
   <td align="right">[% LxERP.t8('Delivery Plan check for transferred delivery orders') %]</td>
    <td>
     [% L.yes_no_tag('defaults.delivery_plan_calculate_transferred_do', SELF.defaults.delivery_plan_calculate_transferred_do) %]
    </td>
    <td>
-   [% LxERP.t8('The default delivery plan only checks if all delivery orders have been created not if the goods are transferred. This feature will check if all the goods are transferred. Caveat: Only the state of the delivery orders are checked not partial transferred delivery orders (in technical terms: the table inventory is not checked') %]
+   [% LxERP.t8('The default delivery value report only checks if all delivery orders have been created not if the goods are transferred. This feature will check if all the goods are transferred. Caveat: Only the state of the delivery orders are checked not partial transferred delivery orders (in technical terms: the table inventory is not checked') %]
    </td>
   </tr>
  </table>