commit 5bfd9281b2152b84f444469eec2674dc8fc4f631
Author: Moritz Bunkus <m.bunkus@linet.de>
Date:   Wed Nov 22 15:57:26 2006 +0000

    Recommit von r1015 von skoehler:
    -Umbenennung Menu Vergleichsbilanz in Saldenbilanz, Umsatzkosten in Aufwandskonto, Summenkonto in Buchungskonto, etc. Korrekturen locales,
    -deaktivieren der Select-Box in Bilanz (keine Funktion)
    -Kontoart "Q" - Eigenkapital hinzugefuegt

diff --git a/bin/mozilla/am.pl b/bin/mozilla/am.pl
index 2a522808c..a21cfbbfd 100644
--- a/bin/mozilla/am.pl
+++ b/bin/mozilla/am.pl
@@ -292,22 +292,23 @@ sub account_header {
 		<input type=hidden name=selectbwa value="$form->{selectbwa}">
 	      </tr>|;
 
-  $form->{selectbilanz} = "<option>\n";
-  foreach $item ((1, 2, 3, 4)) {
-    if ($item == $form->{pos_bilanz}) {
-      $form->{selectbilanz} .= "<option value=$item selected>$item\n";
-    } else {
-      $form->{selectbilanz} .= "<option value=$item>$item\n";
-    }
-
-  }
-
-  $bilanz = qq|
-	      <tr>
-		<th align=right>| . $locale->text('Bilanz') . qq|</th>
-		<td><select name=pos_bilanz>$form->{selectbilanz}</select></td>
-		<input type=hidden name=selectbilanz value="$form->{selectbilanz}">
-	      </tr>|;
+# Entfernt bis es ordentlich umgesetzt wird (hli) 30.03.2006
+#  $form->{selectbilanz} = "<option>\n";
+#  foreach $item ((1, 2, 3, 4)) {
+#    if ($item == $form->{pos_bilanz}) {
+#      $form->{selectbilanz} .= "<option value=$item selected>$item\n";
+#    } else {
+#      $form->{selectbilanz} .= "<option value=$item>$item\n";
+#    }
+#
+#  }
+#
+#  $bilanz = qq|
+#	      <tr>
+#		<th align=right>| . $locale->text('Bilanz') . qq|</th>
+#		<td><select name=pos_bilanz>$form->{selectbilanz}</select></td>
+#		<input type=hidden name=selectbilanz value="$form->{selectbilanz}">
+#	      </tr>|;
 
   # this is for our parser only!
   # type=submit $locale->text('Add Account')
@@ -357,6 +358,8 @@ sub account_header {
     . $locale->text('Asset') . qq|\n<br>
 		<input name=category type=radio class=radio value=L $checked{L_}>&nbsp;|
     . $locale->text('Liability') . qq|\n<br>
+		<input name=category type=radio class=radio value=Q $checked{Q_}>&nbsp;|
+    . $locale->text('Equity') . qq|\n<br>
 		<input name=category type=radio class=radio value=I $checked{I_}>&nbsp;|
     . $locale->text('Revenue') . qq|\n<br>
 		<input name=category type=radio class=radio value=E $checked{E_}>&nbsp;|
@@ -426,7 +429,7 @@ sub account_header {
 		<input name=IC_sale type=checkbox class=checkbox value=IC_sale $form->{IC_sale}>&nbsp;|
       . $locale->text('Revenue') . qq|\n<br>
 		<input name=IC_cogs type=checkbox class=checkbox value=IC_cogs $form->{IC_cogs}>&nbsp;|
-      . $locale->text('COGS') . qq|\n<br>
+      . $locale->text('Expense') . qq|\n<br>
 		<input name=IC_taxpart type=checkbox class=checkbox value=IC_taxpart $form->{IC_taxpart}>&nbsp;|
       . $locale->text('Tax') . qq|
 		</td>
diff --git a/bin/mozilla/ic.pl b/bin/mozilla/ic.pl
index 1e3034129..293167893 100644
--- a/bin/mozilla/ic.pl
+++ b/bin/mozilla/ic.pl
@@ -2325,7 +2325,7 @@ sub form_header {
 		<input name=selectIC_income type=hidden value="$form->{selectIC_income}">
 	      </tr>
 	      <tr>
-		<th align=right>| . $locale->text('COGS') . qq|</th>
+		<th align=right>| . $locale->text('Expense') . qq|</th>
 		<td><select name=IC_expense>$form->{selectIC_expense}</select></td>
 		<input name=selectIC_expense type=hidden value="$form->{selectIC_expense}">
 	      </tr>
diff --git a/locale/de/all b/locale/de/all
index 802c06df1..7f3bc85a2 100644
--- a/locale/de/all
+++ b/locale/de/all
@@ -77,7 +77,6 @@ $self{texts} = {
   'Add Purchase Order'          => 'Lieferantenauftrag erfassen',
   'Add Quotation'               => 'Angebot erfassen',
   'Add RFQ'                     => 'Neue Preisanfrage',
-  'Add RMA'                     => 'RMA erfassen',
   'Add Request for Quotation'   => 'Anfrage erfassen',
   'Add SIC'                     => 'SIC erfassen',
   'Add Sales Invoice'           => 'Rechnung erfassen',
@@ -107,7 +106,6 @@ $self{texts} = {
   'Are you sure you want to delete Invoice Number' => 'Soll die Rechnung mit folgender Nummer wirklich gelöscht werden:',
   'Are you sure you want to delete Order Number' => 'Soll der Auftrag mit folgender Nummer wirklich gelöscht werden:',
   'Are you sure you want to delete Quotation Number' => 'Sind Sie sicher, dass Angebotnummer gelöscht werden soll?',
-  'Are you sure you want to delete RMA Number' => '',
   'Are you sure you want to delete Transaction' => 'Buchung wirklich löschen?',
   'Are you sure you want to remove the marked entries from the queue?' => 'Sind Sie sicher, dass die markierten Einträge von der Warteschlange gelöscht werden sollen?',
   'Are you sure you want to update the prices' => 'Sind Sie sicher, dass Sie die Preise 
@@ -117,7 +115,7 @@ aktualisieren wollen?',
   'Assemblies'                  => 'Erzeugnisse',
   'Assemblies restocked!'       => 'Erzeugnisse sind im Lager!',
   'Assembly Number missing!'    => 'Erzeugnisnummer fehlt!',
-  'Asset'                       => 'Aktiva',
+  'Asset'                       => 'Aktiva/Mittelverwendung',
   'Attach PDF:'                 => 'PDF anhängen',
   'Attachment'                  => 'als Anhang',
   'Audit Control'               => 'Bücherkontrolle',
@@ -184,7 +182,6 @@ aktualisieren wollen?',
   'Business deleted!'           => 'Firma gelöscht.',
   'Business saved!'             => 'Firma gespeichert.',
   'C'                           => 'G',
-  'COGS'                        => 'Umsatzkosten',
   'CSV'                         => '',
   'Calculate'                   => 'Berechnen',
   'Cannot create Lock!'         => 'System kann nicht gesperrt werden!',
@@ -214,7 +211,6 @@ aktualisieren wollen?',
   'Cannot save order!'          => 'Auftrag kann nicht gespeichert werden!',
   'Cannot save preferences!'    => 'Benutzereinstellungen können nicht gespeichert werden!',
   'Cannot save quotation!'      => 'Angebot kann nicht gespeichert werden!',
-  'Cannot save rma!'            => '',
   'Cannot stock assemblies!'    => 'Erzeugnisse können nicht ins Lager!',
   'Cannot storno storno invoice!' => 'Kann eine Stornorechnung nicht stornieren',
   'Cash'                        => 'Zahlungsverkehr',
@@ -386,7 +382,6 @@ gestartet',
   'Edit Project'                => 'Projekt bearbeiten',
   'Edit Purchase Order'         => 'Lieferantenaufrag bearbeiten',
   'Edit Quotation'              => 'Angebot bearbeiten',
-  'Edit RMA'                    => 'RMA bearbeiten',
   'Edit Request for Quotation'  => 'Anfrage bearbeiten',
   'Edit SIC'                    => 'SIC bearbeiten',
   'Edit Sales Invoice'          => 'Rechnung bearbeiten',
@@ -515,7 +510,7 @@ gestartet',
   'Invoice Number missing!'     => 'Rechnungsnummer fehlt!',
   'Invoice deleted!'            => 'Rechnung gelöscht!',
   'Invoices'                    => 'Rechnungen',
-  'Is this a summary account to record' => 'Summenkonto für',
+  'Is this a summary account to record' => 'Buchungskonto in',
   'Ist dies eine berichtigte Anmeldung? (Nr. 10/Zeile 15 Steuererklärung)' => 'Ist dies eine berichtigte Anmeldung? (Nr. 10/Zeile 15 Steuererklärung)',
   'Item deleted!'               => 'Artikel gelöscht!',
   'Item not on file!'           => 'Dieser Artikel ist nicht in der Datenbank!',
@@ -559,7 +554,7 @@ gestartet',
   'Last Service Number'         => 'Letzte Dienstleistungsnr.',
   'Last Vendor Number'          => 'Letzte Lieferantennummer',
   'Leave host and port field empty unless you want to make a remote connection.' => 'Für lokale Verbindungen "Rechner" und "Port" freilassen.',
-  'Liability'                   => 'Passiva',
+  'Liability'                   => 'Passiva/Mittelherkunft',
   'License'                     => 'Lizenz',
   'License key'                 => 'Lizenzschlüssel',
   'Licensed to'                 => 'Lizensiert für',
@@ -740,7 +735,7 @@ gestartet',
   'Printing ... '               => 'Es wird gedruckt.',
   'Private E-mail'              => 'Private eMail',
   'Private Phone'               => 'Privates Tel.',
-  'Profit Center'               => 'Erfolgsreich',
+  'Profit Center'               => 'Erfolgsbereich',
   'Proforma Invoice'            => 'Proformarechnung',
   'Programm'                    => 'Programm',
   'Project'                     => 'Projekt',
@@ -776,10 +771,6 @@ gestartet',
   'RFQ'                         => 'Anfrage',
   'RFQ Number'                  => 'Anfragenummer',
   'RFQs'                        => 'Anfragen',
-  'RMA'                         => 'RMA',
-  'RMA Confirmation'            => 'RMA-Bestätigung',
-  'RMA Date'                    => 'RMA Datum',
-  'RMA Number'                  => 'RMA Nummer',
   'ROP'                         => 'Mindestlagerbestand',
   'Ranking'                     => '',
   'Rate'                        => 'Rate',
@@ -803,7 +794,6 @@ gestartet',
   'Request for Quotation'       => 'Anfrage',
   'Request for Quotations'      => 'Anfragen',
   'Required by'                 => 'Lieferdatum',
-  'Retour List'                 => 'Retour-Lieferschein',
   'Revenue'                     => 'Erlöskonto',
   'Revenue Account'             => 'Erlöskonto',
   'SIC'                         => 'SIC',
@@ -955,7 +945,7 @@ gestartet',
   'Transfer'                    => 'Umlagerung',
   'Transfer Inventory'          => 'Ware umlagern',
   'Transfer to'                 => 'umlagern nach',
-  'Trial Balance'               => 'Vergleichsbilanz',
+  'Trial Balance'               => 'Saldenbilanz',
   'Type of Business'            => 'Kundentyp',
   'USTVA-Hint: Method'          => 'Wenn Sie Ist-Versteuert sind, wählen Sie die Einnahmen-/Überschuß-Rechnung aus. Sind Sie Soll-Versteuert und bilanzverpflichtet, dann wählen Sie Bilanz aus.',
   'USTVA-Hint: Tax Authoritys'  => 'Bitte das Bundesland UND die Stadt bzw. den Einzugsbereich Ihres zuständigen Finanzamts auswählen.',
diff --git a/locale/de/am b/locale/de/am
index 48c000f56..2046f4f70 100644
--- a/locale/de/am
+++ b/locale/de/am
@@ -34,7 +34,7 @@ $self{texts} = {
   'Address'                     => 'Adresse',
   'Article Code'                => 'Artikelkürzel',
   'Article Code missing!'       => 'Artikelkürzel fehlt',
-  'Asset'                       => 'Aktiva',
+  'Asset'                       => 'Aktiva/Mittelverwendung',
   'Audit Control'               => 'Bücherkontrolle',
   'Aufwand Ausland'             => 'Aufwand Ausland',
   'Aufwand EU m UStId'          => 'Aufwand EU m UStId',
@@ -55,7 +55,6 @@ $self{texts} = {
   'Business Number'             => 'Firmennummer',
   'Business deleted!'           => 'Firma gelöscht.',
   'Business saved!'             => 'Firma gespeichert.',
-  'COGS'                        => 'Umsatzkosten',
   'Cannot delete account!'      => 'Konto kann nicht gelöscht werden!',
   'Cannot delete default account!' => 'Das Standard-Konto kann nicht gelöscht werden!',
   'Cannot save account!'        => 'Konto kann nicht gespeichert werden!',
@@ -99,6 +98,7 @@ $self{texts} = {
   'Edit Warehouse'              => 'Lager bearbeiten',
   'Enforce transaction reversal for all dates' => 'Gegenbuchungen für jeden Zeitraum aktualisieren',
   'Enter up to 3 letters separated by a colon (i.e CAD:USD:EUR) for your native and foreign currencies' => 'Geben Sie Ihre und weitere Währungen mit bis zu drei Buchstaben pro Währung und Währungen durch Doppelpunkte getrennt ein (z.B. EUR:USD:CAD)',
+  'Equity'                      => 'Passiva',
   'Erlöse Ausland'              => 'Erl&ouml;se Ausland',
   'Erlöse EU m. UStId'          => 'Erl&ouml;se EU m. UStId',
   'Erlöse EU o. UStId'          => 'Erl&ouml;se EU o. UStId',
@@ -120,7 +120,7 @@ $self{texts} = {
   'Input Number Format'         => 'Zahlenformat (Eingabe)',
   'Inventory'                   => 'Inventar',
   'Inventory Account'           => 'Warenbestand',
-  'Is this a summary account to record' => 'Summenkonto für',
+  'Is this a summary account to record' => 'Buchungskonto in',
   'Language'                    => 'Sprache',
   'Language deleted!'           => 'Sprache gelöscht!',
   'Language missing!'           => 'Sprache fehlt!',
@@ -137,7 +137,7 @@ $self{texts} = {
   'Last Sales Quotation Number' => 'Letzte Angebotsnummer',
   'Last Service Number'         => 'Letzte Dienstleistungsnr.',
   'Last Vendor Number'          => 'Letzte Lieferantennummer',
-  'Liability'                   => 'Passiva',
+  'Liability'                   => 'Passiva/Mittelherkunft',
   'Link'                        => 'Verknüpfungen',
   'Long Description'            => 'Langtext',
   'Name'                        => 'Name',
@@ -161,7 +161,7 @@ $self{texts} = {
   'Printer Description'         => 'Druckerbeschreibung',
   'Printer deleted!'            => 'Drucker gelöscht!',
   'Printer saved!'              => 'Drucker gespeichert!',
-  'Profit Center'               => 'Erfolgsreich',
+  'Profit Center'               => 'Erfolgsbereich',
   'Ranking'                     => 'Ranking',
   'Rate'                        => 'Rate',
   'Receipt'                     => 'Zahlungseingang',
diff --git a/locale/de/cn b/locale/de/cn
index 1b67b8584..2a2484cd5 100644
--- a/locale/de/cn
+++ b/locale/de/cn
@@ -139,12 +139,10 @@ $self{texts} = {
   'Quotation Date missing!'     => 'Angebotsdatum fehlt!',
   'Quotation Number'            => 'Angebotsnummer',
   'Quotation Number missing!'   => 'Angebotsnummer fehlt!',
-  'RMA Confirmation'            => 'RMA-Bestätigung',
   'Record in'                   => 'Buchen auf',
   'Remaining'                   => 'Rest',
   'Reqdate'                     => 'Lieferdatum',
   'Required by'                 => 'Lieferdatum',
-  'Retour List'                 => 'Retour-Lieferschein',
   'Sales Order'                 => 'Kundenauftrag',
   'Salesperson'                 => 'Verkäufer',
   'Screen'                      => 'Bildschirm',
diff --git a/locale/de/dn b/locale/de/dn
index f911d1b43..478c616f2 100644
--- a/locale/de/dn
+++ b/locale/de/dn
@@ -132,10 +132,8 @@ gestartet',
   'Quotation'                   => 'Angebot',
   'Quotation Date missing!'     => 'Angebotsdatum fehlt!',
   'Quotation Number missing!'   => 'Angebotsnummer fehlt!',
-  'RMA Confirmation'            => 'RMA-Bestätigung',
   'Reqdate'                     => 'Lieferdatum',
   'Required by'                 => 'Lieferdatum',
-  'Retour List'                 => 'Retour-Lieferschein',
   'Sales Order'                 => 'Kundenauftrag',
   'Save'                        => 'Speichern',
   'Screen'                      => 'Bildschirm',
diff --git a/locale/de/gl b/locale/de/gl
index 2908a6756..119853667 100644
--- a/locale/de/gl
+++ b/locale/de/gl
@@ -9,7 +9,7 @@ $self{texts} = {
   'Apr'                         => 'Apr',
   'April'                       => 'April',
   'Are you sure you want to delete Transaction' => 'Buchung wirklich löschen?',
-  'Asset'                       => 'Aktiva',
+  'Asset'                       => 'Aktiva/Mittelverwendung',
   'Aug'                         => 'Aug',
   'August'                      => 'August',
   'Balance'                     => 'Bilanz',
@@ -60,7 +60,7 @@ $self{texts} = {
   'Jun'                         => 'Jun',
   'June'                        => 'Juni',
   'Korrektur'                   => 'Korrektur',
-  'Liability'                   => 'Passiva',
+  'Liability'                   => 'Passiva/Mittelherkunft',
   'Mar'                         => 'März',
   'March'                       => 'März',
   'May'                         => 'Mai',
diff --git a/locale/de/ic b/locale/de/ic
index 53e20cd18..311b8db46 100644
--- a/locale/de/ic
+++ b/locale/de/ic
@@ -34,7 +34,6 @@ aktualisieren wollen?',
   'Bought'                      => 'Gekauft',
   'Buchungsgruppe'              => 'Buchungsgruppe',
   'Bunker Receipt'              => 'Bunker Receipt',
-  'COGS'                        => 'Umsatzkosten',
   'Cannot delete item!'         => 'Artikel kann nicht gelöscht werden!',
   'Cannot stock assemblies!'    => 'Erzeugnisse können nicht ins Lager!',
   'Cc'                          => 'Cc',
@@ -161,11 +160,9 @@ aktualisieren wollen?',
   'Quotation Number missing!'   => 'Angebotsnummer fehlt!',
   'Quoted'                      => 'Angeboten',
   'RFQ'                         => 'Anfrage',
-  'RMA Confirmation'            => 'RMA-Bestätigung',
   'ROP'                         => 'Mindestlagerbestand',
   'Reqdate'                     => 'Lieferdatum',
   'Required by'                 => 'Lieferdatum',
-  'Retour List'                 => 'Retour-Lieferschein',
   'Revenue'                     => 'Erlöskonto',
   'Sales Order'                 => 'Kundenauftrag',
   'Save'                        => 'Speichern',
diff --git a/locale/de/io b/locale/de/io
index df5639275..f3b7c37c8 100644
--- a/locale/de/io
+++ b/locale/de/io
@@ -90,10 +90,8 @@ $self{texts} = {
   'Quotation'                   => 'Angebot',
   'Quotation Date missing!'     => 'Angebotsdatum fehlt!',
   'Quotation Number missing!'   => 'Angebotsnummer fehlt!',
-  'RMA Confirmation'            => 'RMA-Bestätigung',
   'Reqdate'                     => 'Lieferdatum',
   'Required by'                 => 'Lieferdatum',
-  'Retour List'                 => 'Retour-Lieferschein',
   'Sales Order'                 => 'Kundenauftrag',
   'Screen'                      => 'Bildschirm',
   'Select from one of the items below' => 'Wählen Sie einen der untenstehenden Einträge',
diff --git a/locale/de/ir b/locale/de/ir
index e316a2697..1f54d75b9 100644
--- a/locale/de/ir
+++ b/locale/de/ir
@@ -129,12 +129,10 @@ $self{texts} = {
   'Quotation'                   => 'Angebot',
   'Quotation Date missing!'     => 'Angebotsdatum fehlt!',
   'Quotation Number missing!'   => 'Angebotsnummer fehlt!',
-  'RMA Confirmation'            => 'RMA-Bestätigung',
   'Record in'                   => 'Buchen auf',
   'Remaining'                   => 'Rest',
   'Reqdate'                     => 'Lieferdatum',
   'Required by'                 => 'Lieferdatum',
-  'Retour List'                 => 'Retour-Lieferschein',
   'Sales Order'                 => 'Kundenauftrag',
   'Screen'                      => 'Bildschirm',
   'Select from one of the items below' => 'Wählen Sie einen der untenstehenden Einträge',
diff --git a/locale/de/is b/locale/de/is
index c618a1e70..a6b765c80 100644
--- a/locale/de/is
+++ b/locale/de/is
@@ -152,12 +152,10 @@ $self{texts} = {
   'Quotation Date missing!'     => 'Angebotsdatum fehlt!',
   'Quotation Number'            => 'Angebotsnummer',
   'Quotation Number missing!'   => 'Angebotsnummer fehlt!',
-  'RMA Confirmation'            => 'RMA-Bestätigung',
   'Record in'                   => 'Buchen auf',
   'Remaining'                   => 'Rest',
   'Reqdate'                     => 'Lieferdatum',
   'Required by'                 => 'Lieferdatum',
-  'Retour List'                 => 'Retour-Lieferschein',
   'Sales Order'                 => 'Kundenauftrag',
   'Salesperson'                 => 'Verkäufer',
   'Screen'                      => 'Bildschirm',
diff --git a/locale/de/menu b/locale/de/menu
index 1bce0606e..43ef4a777 100644
--- a/locale/de/menu
+++ b/locale/de/menu
@@ -107,7 +107,7 @@ $self{texts} = {
   'Statement'                   => 'Sammelrechnung',
   'Stylesheet'                  => 'Stilvorlage',
   'System'                      => 'System',
-  'Trial Balance'               => 'Vergleichsbilanz',
+  'Trial Balance'               => 'Saldenbilanz',
   'Type of Business'            => 'Kundentyp',
   'UStVA'                       => 'UStVA',
   'UStVA 2004'                  => 'UStVA 2004',
diff --git a/locale/de/menunew b/locale/de/menunew
index 04953ee4c..b8074967a 100644
--- a/locale/de/menunew
+++ b/locale/de/menunew
@@ -106,7 +106,7 @@ $self{texts} = {
   'Statement'                   => 'Sammelrechnung',
   'Stylesheet'                  => 'Stilvorlage',
   'System'                      => 'System',
-  'Trial Balance'               => 'Vergleichsbilanz',
+  'Trial Balance'               => 'Saldenbilanz',
   'Type of Business'            => 'Kundentyp',
   'UStVA'                       => 'UStVA',
   'UStVA 2004'                  => 'UStVA 2004',
diff --git a/locale/de/oe b/locale/de/oe
index 17213b23b..b4b38626e 100644
--- a/locale/de/oe
+++ b/locale/de/oe
@@ -164,7 +164,6 @@ $self{texts} = {
   'Quotation deleted!'          => 'Angebot wurde gelöscht.',
   'Quotations'                  => 'Angebote',
   'RFQ Number'                  => 'Anfragenummer',
-  'RMA Confirmation'            => 'RMA-Bestätigung',
   'Recd'                        => 'erhalten',
   'Receive Merchandise'         => 'Waren einlagern',
   'Remaining'                   => 'Rest',
@@ -172,7 +171,6 @@ $self{texts} = {
   'Request for Quotation'       => 'Anfrage',
   'Request for Quotations'      => 'Anfragen',
   'Required by'                 => 'Lieferdatum',
-  'Retour List'                 => 'Retour-Lieferschein',
   'Sales Order'                 => 'Kundenauftrag',
   'Sales Orders'                => 'Aufträge',
   'Salesperson'                 => 'Verkäufer',
diff --git a/locale/de/rp b/locale/de/rp
index 4d5d53082..4eb07d929 100644
--- a/locale/de/rp
+++ b/locale/de/rp
@@ -105,7 +105,7 @@ $self{texts} = {
   'Tax collected'               => 'vereinnahmte Steuer',
   'Tax paid'                    => 'Vorsteuer',
   'Total'                       => 'Summe',
-  'Trial Balance'               => 'Vergleichsbilanz',
+  'Trial Balance'               => 'Saldenbilanz',
   'Vendor'                      => 'Lieferant',
   'Vendor not on file!'         => 'Lieferant ist nicht in der Datenbank!',
   'YYYY'                        => 'JJJJ',