commit 9510d549f2755dd8d59d5f0734c042a05d01e7aa
Author: Hans P. Schlaepfer <hanspeter.schlaepfer@revamp-it.ch>
Date:   Wed Aug 7 23:16:40 2019 +0200

    Neues Design 2019 Standard-Code templates/webpages/record_links/add_filter.html

diff --git a/templates/webpages/record_links/add_filter.html b/templates/webpages/record_links/add_filter.html
index 5188f42a6..ece8f198d 100644
--- a/templates/webpages/record_links/add_filter.html
+++ b/templates/webpages/record_links/add_filter.html
@@ -1,4 +1,3 @@
-<h1>[%- LxERP.t8("Add link: select records to link with") %]</h1>
 [% USE L %]
 [% USE LxERP %]
 [% USE JavaScript %]
@@ -6,59 +5,56 @@
 
 
 <form method="post" action="controller.pl" id="record_links_add_filter_form">
- [% L.hidden_tag('object_model',   SELF.object_model) %]
- [% L.hidden_tag('object_id',      SELF.object_id) %]
-
- <table>
-  <tr>
-   <td>[%- LxERP.t8("Link to") %]:</td>
-   <td>[% L.select_tag('link_type', LINK_TYPES, default=DEFAULT_LINK_TYPE, style=style, id='record_links_add_filter_link_type') %]</td>
-  </tr>
-
-  <tr>
-   <td>[%- LxERP.t8("Link direction") %]:</td>
-   <td>[% L.select_tag('link_direction',
-                       [ [ 'from', LxERP.t8("The link target to add has been created from the existing record."), ],
-                         [ 'to',   LxERP.t8("The existing record has been created from the link target to add."), ], ],
-                       style=style) %]</td>
-  </tr>
-
-  <tr>
-   <td>[%- LxERP.t8("Customer/Vendor Number") %]:</td>
-   <td>[% L.input_tag('vc_number', is_sales ? SELF.object.customer.customernumber : SELF.object.vendor.vendornumber, style=style) %]</td>
-  </tr>
-
-  <tr>
-   <td>[%- LxERP.t8("Customer/Vendor Name") %]:</td>
-   <td>[% L.input_tag('vc_name', is_sales ? SELF.object.customer.name : SELF.object.vendor.name, style=style) %]</td>
-  </tr>
-
-  <tr id="record_links_add_filter_project_row">
-   <td>[%- LxERP.t8("Project") %]:</td>
-   <td>[% L.select_tag('globalproject_id', PROJECTS, default=SELF.object.globalproject_id, with_empty=1, style=style) %]</td>
-  </tr>
-
-  <tr>
-   <td><span id="record_links_add_filter_title">[%- LxERP.t8("Transaction description") %]</span>:</td>
-   <td>[% L.input_tag('transaction_description', '', style=style) %]</td>
-  </tr>
- </table>
-
- <p>
-  [% L.button_tag('filter_record_links()', LxERP.t8("Search")) %]
+[% L.hidden_tag('object_model',   SELF.object_model) %]
+[% L.hidden_tag('object_id',      SELF.object_id) %]
+
+<table class="tbl-horizontal">
+  <caption>[% LxERP.t8("Add link: select records to link with") %]</caption>
+  <colgroup> <col class="wi-normal"><col class="wi-verywide"> </colgroup> 
+  <tbody>
+    <tr>
+      <th>[% LxERP.t8("Link to") %]</th>
+      <td>[% L.select_tag('link_type', LINK_TYPES, default=DEFAULT_LINK_TYPE, class='wi-wide', id='record_links_add_filter_link_type') %]</td>
+    </tr>
+    <tr>
+      <th>[% LxERP.t8("Link direction") %]</th>
+      <td>[% L.select_tag('link_direction',
+                          [ [ 'from', LxERP.t8("The link target to add has been created from the existing record."), ],
+                            [ 'to',   LxERP.t8("The existing record has been created from the link target to add."), ], ],
+                            class='wi-verywide') %]</td>
+    </tr>
+    <tr>
+      <th>[% LxERP.t8("Customer/Vendor Number") %]</th>
+      <td>[% L.input_tag('vc_number', is_sales ? SELF.object.customer.customernumber : SELF.object.vendor.vendornumber, class='wi-wide') %]</td>
+    </tr>
+    <tr>
+      <th>[% LxERP.t8("Customer/Vendor Name") %]</th>
+      <td>[% L.input_tag('vc_name', is_sales ? SELF.object.customer.name : SELF.object.vendor.name, class='wi-wide') %]</td>
+    </tr>
+    <tr id="record_links_add_filter_project_row">
+      <th>[% LxERP.t8("Project") %]</tdh>
+      <td>[% L.select_tag('globalproject_id', PROJECTS, default=SELF.object.globalproject_id, with_empty=1, class='wi-wide') %]</td>
+    </tr>
+    <tr>
+      <th><span id="record_links_add_filter_title">[% LxERP.t8("Transaction description") %]</span></th>
+      <td>[% L.input_tag('transaction_description', '', class='wi-wide') %]</td>
+    </tr>
+  </tbody>
+</table>
+
+<div class="buttons">
+  [% L.button_tag('filter_record_links()', LxERP.t8("Search"), class='neutral') %]
   [% L.button_tag('add_selected_record_links()', LxERP.t8("Add links"), id='add_selected_record_links_button', disabled=1) %]
-  [% L.button_tag('$("#record_links_add_filter_form").resetForm()', LxERP.t8('Reset')) %]
-  <a href="#" onclick="$('#record_links_add').dialog('close');">[% LxERP.t8("Cancel") %]</a>
- </p>
+  [% L.button_tag('$("#record_links_add_filter_form").resetForm()', LxERP.t8('Reset'), class='neutral') %]
+  <a href="#" onclick="$('#record_links_add').dialog('close');" class="button neutral">[% LxERP.t8("Cancel") %]</a>
+</div>
 
- <hr>
 
- <div id="record_list_filtered_list"></div>
+<div id="record_list_filtered_list"></div>
 
 </form>
 
-<script type="text/javascript">
-<!--
+<script type="text/javascript"><!--
 $(function() {
   $('#record_links_add input[name=vc_name]').focus();
   $('#record_links_add_filter_link_type').change(record_links_change_form_to_match_type);
@@ -102,5 +98,4 @@ function record_links_change_form_to_match_type() {
 
   $('#record_links_add_filter_title').html(title);
 }
--->
-</script>
+--></script>