commit b9d025079a0ea00235e47c249a1d00dde90cb3cb
Author: Geoffrey Richardson <information@kivitendo-premium.de>
Date:   Wed Jun 17 23:25:42 2015 +0200

    Bankbewegungsimport - detailliertere Fehlermeldungen
    
    bei Fehlern oder nicht zuordbaren lokalen Bankdaten

diff --git a/SL/Controller/CsvImport/BankTransaction.pm b/SL/Controller/CsvImport/BankTransaction.pm
index 2f92dd773..addcb016d 100644
--- a/SL/Controller/CsvImport/BankTransaction.pm
+++ b/SL/Controller/CsvImport/BankTransaction.pm
@@ -108,9 +108,9 @@ sub check_bank_account {
 
   my $object = $entry->{object};
 
-  # Check whether or not local_bank_account ID exists and is valid.
+  # import via id: check whether or not local_bank_account ID exists and is valid.
   if ($object->local_bank_account_id && !$self->bank_accounts_by->{id}->{ $object->local_bank_account_id }) {
-    push @{ $entry->{errors} }, $::locale->text('Error: Invalid local bank account');
+    push @{ $entry->{errors} }, $::locale->text('Error: unknown local bank account id');
     return 0;
   }
 
@@ -118,11 +118,11 @@ sub check_bank_account {
   if ($object->local_bank_account_id && $entry->{raw_data}->{local_account_number}) {
     my $bank_account = $self->bank_accounts_by->{id}->{ $object->local_bank_account_id };
     if ($bank_account->account_number ne $entry->{raw_data}->{local_account_number}) {
-      push @{ $entry->{errors} }, $::locale->text('Error: Invalid local bank account');
+      push @{ $entry->{errors} }, $::locale->text('Error: local bank account id doesn\'t match local bank account number');
       return 0;
     }
     if ($entry->{raw_data}->{local_bank_code} && $entry->{raw_data}->{local_bank_code} ne $bank_account->bank_code) {
-      push @{ $entry->{errors} }, $::locale->text('Error: Invalid local bank account');
+      push @{ $entry->{errors} }, $::locale->text('Error: local bank account id doesn\'t match local bank code');
       return 0;
     }
 
@@ -136,7 +136,7 @@ sub check_bank_account {
        $bank_account = $self->bank_accounts_by->{iban}->{ $entry->{raw_data}->{local_account_number} };
     };
     if (!$bank_account) {
-      push @{ $entry->{errors} }, $::locale->text('Error: Invalid local bank account');
+      push @{ $entry->{errors} }, $::locale->text('Error: unknown local bank account') . ": " . $entry->{raw_data}->{local_account_number};
       return 0;
     }
     if ($entry->{raw_data}->{local_bank_code} && $entry->{raw_data}->{local_bank_code} ne $bank_account->bank_code) {
diff --git a/locale/de/all b/locale/de/all
index 7ef64ac6e..27be322a9 100755
--- a/locale/de/all
+++ b/locale/de/all
@@ -1107,7 +1107,6 @@ $self->{texts} = {
   'Error: Invalid delivery terms' => 'Fehler: Lieferbedingungen ungültig',
   'Error: Invalid department'   => 'Fehler: Abteilung ungültig',
   'Error: Invalid language'     => 'Fehler: Sprache ungültig',
-  'Error: Invalid local bank account' => 'Fehler: ungültiges Bankkonto',
   'Error: Invalid order for this order item' => 'Fehler: Auftrag für diese Position ungültig',
   'Error: Invalid part'         => 'Fehler: Artikel ungültig',
   'Error: Invalid part type'    => 'Fehler: Artikeltyp ungültig',
@@ -1126,7 +1125,11 @@ $self->{texts} = {
   'Error: Transfer would result in a negative target quantity.' => 'Fehler: Lagerbewegung würde zu einer negativen Zielmenge führen.',
   'Error: Unit missing or invalid' => 'Fehler: Einheit fehlt oder ungültig',
   'Error: Warehouse not found'  => 'Fehler: Lager nicht gefunden',
+  'Error: local bank account id doesn\'t match local bank account number' => 'Fehler: Bankkonto-ID stimmt nicht mit Kontonummer überein',
+  'Error: local bank account id doesn\'t match local bank code' => 'Fehler: Bankkonto-ID stimmt nicht mit BLZ überein',
   'Error: this feature requires that articles with a time-based unit (e.g. \'h\' or \'min\') exist.' => 'Fehler: dieses Feature setzt voraus, dass Artikel mit einer Zeit-basierenden Einheit (z.B. "Std") existieren.',
+  'Error: unknown local bank account' => 'Fehler: unbekannte Kontnummer',
+  'Error: unknown local bank account id' => 'Fehler: unbekannte Bankkonto-ID',
   'Errors'                      => 'Fehler',
   'Ertrag'                      => 'Ertrag',
   'Ertrag prozentual'           => 'Ertrag prozentual',