commit df41380a9c1150938985322c48ef20fe7f2cd98b
Author: Geoffrey Richardson <information@kivitendo-premium.de>
Date:   Wed Dec 7 11:33:28 2016 +0100

    Group nach Partsgroup (Warengruppe) umbenannt

diff --git a/SL/DB/Manager/PriceRuleItem.pm b/SL/DB/Manager/PriceRuleItem.pm
index 83a4bf169..28f4d6f51 100644
--- a/SL/DB/Manager/PriceRuleItem.pm
+++ b/SL/DB/Manager/PriceRuleItem.pm
@@ -31,7 +31,7 @@ my %types = (
   'transdate'           => { description => t8('Transdate'),          customer => 1, vendor => 1, data_type => 'date', data => sub { $_[0]->transdate }, ops => 'date' },
   'part'                => { description => t8('Part'),               customer => 1, vendor => 1, data_type => 'int',  data => sub { $_[1]->part->id }, },
   'pricegroup'          => { description => t8('Pricegroup'),         customer => 1, vendor => 1, data_type => 'int',  data => sub { $_[1]->pricegroup_id }, exclude_nulls => 1 },
-  'partsgroup'          => { description => t8('Group'),              customer => 1, vendor => 1, data_type => 'int',  data => sub { $_[1]->part->partsgroup_id }, exclude_nulls => 1 },
+  'partsgroup'          => { description => t8('Partsgroup'),         customer => 1, vendor => 1, data_type => 'int',  data => sub { $_[1]->part->partsgroup_id }, exclude_nulls => 1 },
   'qty'                 => { description => t8('Qty'),                customer => 1, vendor => 1, data_type => 'num',  data => sub { $_[1]->qty }, ops => 'num' },
 );
 
diff --git a/SL/DB/PriceRuleItem.pm b/SL/DB/PriceRuleItem.pm
index 77d0fe571..006556d4c 100644
--- a/SL/DB/PriceRuleItem.pm
+++ b/SL/DB/PriceRuleItem.pm
@@ -108,7 +108,7 @@ sub full_description {
     $type eq 'customer'   ? t8('Customer')         . ' ' . $self->customer->displayable_name
   : $type eq 'vendor'     ? t8('Vendor')           . ' ' . $self->vendor->displayable_name
   : $type eq 'business'   ? t8('Type of Business') . ' ' . $self->business->displayable_name
-  : $type eq 'partsgroup' ? t8('Group')            . ' ' . $self->partsgroup->displayable_name
+  : $type eq 'partsgroup' ? t8('Partsgroup')       . ' ' . $self->partsgroup->displayable_name
   : $type eq 'pricegroup' ? t8('Pricegroup')       . ' ' . $self->pricegroup->displayable_name
   : $type eq 'part'       ? t8('Part')             . ' ' . $self->part->displayable_name
   : $type eq 'qty' ? (
diff --git a/bin/mozilla/ic.pl b/bin/mozilla/ic.pl
index daa2a62bc..e6b1ff33f 100644
--- a/bin/mozilla/ic.pl
+++ b/bin/mozilla/ic.pl
@@ -272,7 +272,7 @@ sub generate_report {
     'onhand'             => { 'text' => $locale->text('Stocked Qty'), },
     'ordnumber'          => { 'text' => $locale->text('Order Number'), },
     'partnumber'         => { 'text' => $locale->text('Part Number'), },
-    'partsgroup'         => { 'text' => $locale->text('Group'), },
+    'partsgroup'         => { 'text' => $locale->text('Partsgroup'), },
     'priceupdate'        => { 'text' => $locale->text('Updated'), },
     'quonumber'          => { 'text' => $locale->text('Quotation'), },
     'rop'                => { 'text' => $locale->text('ROP'), },
@@ -358,8 +358,8 @@ sub generate_report {
     transdatefrom => $locale->text('From')       . " " . $locale->date(\%myconfig, $form->{transdatefrom}, 1),
     transdateto   => $locale->text('To (time)')  . " " . $locale->date(\%myconfig, $form->{transdateto}, 1),
     partnumber    => $locale->text('Part Number')      . ": '$form->{partnumber}'",
-    partsgroup    => $locale->text('Group')            . ": '$form->{partsgroup}'",
-    partsgroup_id => $locale->text('Group')            . ": '$pg_name'",
+    partsgroup    => $locale->text('Partsgroup')       . ": '$form->{partsgroup}'",
+    partsgroup_id => $locale->text('Partsgroup')       . ": '$pg_name'",
     serialnumber  => $locale->text('Serial Number')    . ": '$form->{serialnumber}'",
     description   => $locale->text('Part Description') . ": '$form->{description}'",
     make          => $locale->text('Make')             . ": '$form->{make}'",
diff --git a/bin/mozilla/vk.pl b/bin/mozilla/vk.pl
index 993dfc603..59ba7b420 100644
--- a/bin/mozilla/vk.pl
+++ b/bin/mozilla/vk.pl
@@ -169,7 +169,7 @@ sub invoice_transactions {
   my %column_defs = (
     'description'             => { 'text' => $locale->text('Description'), },
     'partnumber'              => { 'text' => $locale->text('Part Number'), },
-    'partsgroup'              => { 'text' => $locale->text('Group'), },
+    'partsgroup'              => { 'text' => $locale->text('Partsgroup'), },
     'country'                 => { 'text' => $locale->text('Country'), },
     'business'                => { 'text' => $locale->text('Customer type'), },
     'employee'                => { 'text' => $locale->text('Employee'), },
@@ -215,7 +215,7 @@ sub invoice_transactions {
   push @options, $locale->text('Invoice Number')          . " : $form->{invnumber}"                                                         if $form->{invnumber};
   push @options, $locale->text('Invoice Date')            . " : $form->{invdate}"                                                           if $form->{invdate};
   push @options, $locale->text('Part Number')             . " : $form->{partnumber}"                                                        if $form->{partnumber};
-  push @options, $locale->text('Group')                   . " : " . SL::DB::PartsGroup->new(id => $form->{partsgroup_id})->load->partsgroup if $form->{partsgroup_id};
+  push @options, $locale->text('Partsgroup')              . " : " . SL::DB::PartsGroup->new(id => $form->{partsgroup_id})->load->partsgroup if $form->{partsgroup_id};
   push @options, $locale->text('Country')                 . " : $form->{country}"                                                           if $form->{country};
   push @options, $locale->text('Employee')                . ' : ' . SL::DB::Employee->new(id => $form->{employee_id})->load->name           if $form->{employee_id};
   push @options, $locale->text('Salesman')                . ' : ' . SL::DB::Employee->new(id => $form->{salesman_id})->load->name           if $form->{salesman_id};
diff --git a/locale/de/all b/locale/de/all
index 9c31ec1e2..952912898 100755
--- a/locale/de/all
+++ b/locale/de/all
@@ -159,7 +159,6 @@ $self->{texts} = {
   'Add Follow-Up'               => 'Wiedervorlage erstellen',
   'Add Follow-Up for #1'        => 'Wiedervorlage f&uuml;r #1 erstellen',
   'Add General Ledger Transaction' => 'Dialogbuchen',
-  'Add Group'                   => 'Warengruppe erfassen',
   'Add Language'                => 'Sprache hinzufügen',
   'Add Lead'                    => 'Kundenquelle erfassen',
   'Add Letter'                  => 'Brief hinzufügen',
@@ -1070,7 +1069,6 @@ $self->{texts} = {
   'Edit Follow-Up'              => 'Wiedervorlage bearbeiten',
   'Edit Follow-Up for #1'       => 'Wiedervorlage f&uuml;r #1 bearbeiten',
   'Edit General Ledger Transaction' => 'Buchung im Hauptbuch bearbeiten',
-  'Edit Group'                  => 'Warengruppe editieren',
   'Edit Language'               => 'Sprache bearbeiten',
   'Edit Lead'                   => 'Kundenquelle bearbeiten',
   'Edit Letter'                 => 'Brief bearbeiten',
@@ -1391,7 +1389,6 @@ $self->{texts} = {
   'GoBD Export'                 => 'GoBD Export',
   'Greeting'                    => 'Anrede',
   'Greetings'                   => 'Anreden',
-  'Group'                       => 'Warengruppe',
   'Group Invoices'              => 'Rechnungen zusammenfassen',
   'Group Items'                 => 'Waren gruppieren',
   'Group assignment'            => 'Gruppenzuordnung',
@@ -2041,6 +2038,7 @@ $self->{texts} = {
   'Parts must have an entry type.' => 'Waren m&uuml;ssen eine Buchungsgruppe haben.',
   'Parts with existing part numbers' => 'Artikel mit existierender Artikelnummer',
   'Parts, services and assemblies' => 'Waren, Dienstleistungen und Erzeugnisse',
+  'Partsgroup'                  => 'Warengruppe',
   'Partsgroup (database ID)'    => 'Warengruppe (Datenbank-ID)',
   'Partsgroup (name)'           => 'Warengruppe (Name)',
   'Partsgroups'                 => 'Warengruppen',
diff --git a/locale/en/all b/locale/en/all
index 9ba415aef..10c54b08d 100644
--- a/locale/en/all
+++ b/locale/en/all
@@ -1388,7 +1388,6 @@ $self->{texts} = {
   'GoBD Export'                 => '',
   'Greeting'                    => '',
   'Greetings'                   => '',
-  'Group'                       => '',
   'Group Invoices'              => '',
   'Group Items'                 => '',
   'Group assignment'            => '',
diff --git a/templates/webpages/ic/search.html b/templates/webpages/ic/search.html
index fafcacc26..e0df9472d 100644
--- a/templates/webpages/ic/search.html
+++ b/templates/webpages/ic/search.html
@@ -34,7 +34,7 @@
       </tr>
 
       <tr>
-       <th align="right" nowrap>[% 'Group' | $T8 %]</th>
+       <th align="right" nowrap>[% 'Partsgroup' | $T8 %]</th>
        <td>
          [%- INCLUDE generic/multibox.html
            name          = 'partsgroup',
@@ -198,7 +198,7 @@
           <td>[%- L.checkbox_tag('l_image', label=LxERP.t8('Image'), value='Y', checked=(INSTANCE_CONF.get_parts_listing_image ? 1 : 0)) %]</td>
           <td>[%- L.checkbox_tag('l_drawing', label=LxERP.t8('Drawing'), value='Y') %]</td>
           <td>[%- L.checkbox_tag('l_microfiche', label=LxERP.t8('Microfiche'), value='Y') %]</td>
-          <td>[%- L.checkbox_tag('l_partsgroup', label=LxERP.t8('Group'), value='Y') %]</td>
+          <td>[%- L.checkbox_tag('l_partsgroup', label=LxERP.t8('Partsgroup'), value='Y') %]</td>
           </td>
          </tr>
 
diff --git a/templates/webpages/ic/search_update_prices.html b/templates/webpages/ic/search_update_prices.html
index a2d9f9027..6c492202a 100644
--- a/templates/webpages/ic/search_update_prices.html
+++ b/templates/webpages/ic/search_update_prices.html
@@ -20,7 +20,7 @@
     </tr>
 
     <tr>
-     <th align="right" nowrap>[% 'Group' | $T8 %]</th>
+     <th align="right" nowrap>[% 'Partsgroup' | $T8 %]</th>
      <td><input name="partsgroup" size="20"></td>
      <th align="right" nowrap>[% 'Serial Number' | $T8 %]</th>
      <td><input name="serialnumber" size="20"></td>
diff --git a/templates/webpages/part/_assembly.html b/templates/webpages/part/_assembly.html
index 1e2bbd16f..e594fc43b 100644
--- a/templates/webpages/part/_assembly.html
+++ b/templates/webpages/part/_assembly.html
@@ -28,7 +28,7 @@
      <th class="listheading" nowrap width="5" >[%- 'Line Total'   | $T8 %] </th>
      <th id="sellprice_header_id"   class="listheading" nowrap width="10" ><a href='#' onClick='javascript:kivi.Part.reorder_items("sellprice")' >[%- 'Sellprice'       | $T8 %]</a></th>
      <th id="lastcost_header_id"   class="listheading" nowrap width="10" ><a href='#' onClick='javascript:kivi.Part.reorder_items("lastcost")'   >[%- 'Lastcost'       | $T8 %]</a></th>
-     <th id="_header_id"   class="listheading" nowrap width="15" ><a href='#' onClick='javascript:kivi.Part.reorder_items("partsgroup")'         >[%- 'Group'       | $T8 %]</a></th>
+     <th id="_header_id"   class="listheading" nowrap width="15" ><a href='#' onClick='javascript:kivi.Part.reorder_items("partsgroup")'         >[%- 'Partsgroup'       | $T8 %]</a></th>
    </tr>
  </thead>
 <tbody id="assembly_rows">
diff --git a/templates/webpages/part/_assortment.html b/templates/webpages/part/_assortment.html
index d441c0681..d9dbefc44 100644
--- a/templates/webpages/part/_assortment.html
+++ b/templates/webpages/part/_assortment.html
@@ -28,7 +28,7 @@
      <th class="listheading" nowrap width="5" >[%- 'Line Total'   | $T8 %] </th>
      <th id="sellprice_header_id"   class="listheading" nowrap width="10" ><a href='#' onClick='javascript:kivi.Part.reorder_items("sellprice")'> [%- 'Sellprice'   | $T8 %]</a></th>
      <th id="lastcost_header_id"   class="listheading" nowrap width="10" ><a href='#' onClick='javascript:kivi.Part.reorder_items("lastcost")'> [%- 'Lastcost'      | $T8 %]</a></th>
-     <th id="_header_id"   class="listheading" nowrap width="15" ><a href='#' onClick='javascript:kivi.Part.reorder_items("partsgroup")'> [%- 'Group'       | $T8 %]</a></th>
+     <th id="_header_id"   class="listheading" nowrap width="15" ><a href='#' onClick='javascript:kivi.Part.reorder_items("partsgroup")'> [%- 'Partsgroup'       | $T8 %]</a></th>
    </tr>
  </thead>
 <tbody id="assortment_rows">
diff --git a/templates/webpages/part/_basic_data.html b/templates/webpages/part/_basic_data.html
index 0fb2b3bf6..1b04cd94f 100644
--- a/templates/webpages/part/_basic_data.html
+++ b/templates/webpages/part/_basic_data.html
@@ -39,7 +39,7 @@
              </tr>
              <tr>
               [%- IF SELF.all_partsgroups.size %]
-              <th align="right">[% 'Group' | $T8 %]</th>
+              <th align="right">[% 'Partsgroup' | $T8 %]</th>
               <td>[%- L.select_tag('part.partsgroup_id', SELF.all_partsgroups, default=SELF.part.partsgroup_id, title_key='partsgroup', value_key='id', with_empty=1 style='width: 200px') %]</td>
               [% END %]
              </tr>
diff --git a/templates/webpages/part/_multi_items_result.html b/templates/webpages/part/_multi_items_result.html
index 15ca30c6e..a5c838c5f 100644
--- a/templates/webpages/part/_multi_items_result.html
+++ b/templates/webpages/part/_multi_items_result.html
@@ -14,7 +14,7 @@
       <th>[% 'Unit'      | $T8 %]</th>
       <th>[% 'Article'   | $T8 %]</th>
       <th>[% 'Sellprice' | $T8 %]</th>
-      <th>[% 'Group'     | $T8 %]</th>
+      <th>[% 'Partsgroup' | $T8 %]</th>
     </tr>
   [%- FOREACH item = multi_items %]
     <tr>
diff --git a/templates/webpages/pe/partsgroup_form.html b/templates/webpages/pe/partsgroup_form.html
index 632cd7afa..6e5a08530 100644
--- a/templates/webpages/pe/partsgroup_form.html
+++ b/templates/webpages/pe/partsgroup_form.html
@@ -14,7 +14,7 @@
     <td>
       <table width=100%>
         <tr>
-          <th align=right>[% 'Group' | $T8 %]</th>
+          <th align=right>[% 'Partsgroup' | $T8 %]</th>
           <td><input name=partsgroup size=30 value="[% partsgroup | html %]"></td>
         </tr>
       </table>
diff --git a/templates/webpages/pe/partsgroup_report.html b/templates/webpages/pe/partsgroup_report.html
index a9fc79e0d..e960b81af 100644
--- a/templates/webpages/pe/partsgroup_report.html
+++ b/templates/webpages/pe/partsgroup_report.html
@@ -10,7 +10,7 @@
     <td>
       <table width=100%>
         <tr class=listheading>
-          <th class=listheading width=90%>[% 'Group' | $T8 %]</th>
+          <th class=listheading width=90%>[% 'Partsgroup' | $T8 %]</th>
         </tr>
 [%- FOREACH row = item_list %]
         <tr valign=top class="listrow[% loop.count % 2 %]">
diff --git a/templates/webpages/pe/search.html b/templates/webpages/pe/search.html
index 871eb34dc..db7e51df9 100644
--- a/templates/webpages/pe/search.html
+++ b/templates/webpages/pe/search.html
@@ -17,7 +17,7 @@
           <th align=right width=1%>[% 'Pricegroup' | $T8 %]</th>
           <td><input name=pricegroup size=20></td>
 [%- ELSE %]
-          <th align=right width=1%>[% 'Group' | $T8 %]</th>
+          <th align=right width=1%>[% 'Partsgroup' | $T8 %]</th>
           <td><input name=partsgroup size=20></td>
 [%- END %]
         </tr>
diff --git a/templates/webpages/price_rule/_filter.html b/templates/webpages/price_rule/_filter.html
index 93d18636e..02c66db22 100644
--- a/templates/webpages/price_rule/_filter.html
+++ b/templates/webpages/price_rule/_filter.html
@@ -35,7 +35,7 @@
    <td>[% L.select_tag('filter.item_type_matches[].business', SELF.businesses, title_key='description', default=FORM.filter.item_type_matches.0.business, with_empty=1, style='width: 300px') %]</td>
   </tr>
   <tr>
-   <th align="right">[% 'Group' | $T8 %]</th>
+   <th align="right">[% 'Partsgroup' | $T8 %]</th>
    <td>[% L.select_tag('filter.item_type_matches[].partsgroup', SELF.partsgroups, title_key='partsgroup', default=FORM.filter.item_type_matches.0.partsgroup, with_empty=1, style='width: 300px') %]</td>
   </tr>
   <tr>
diff --git a/templates/webpages/price_rule/item.html b/templates/webpages/price_rule/item.html
index 04a7546fa..a6eaa5144 100644
--- a/templates/webpages/price_rule/item.html
+++ b/templates/webpages/price_rule/item.html
@@ -26,7 +26,7 @@
   [% CASE 'business' %]
     [% 'Type of Business' | $T8 %] [% 'is' | $T8 %] [% L.select_tag('price_rule.items[].value_int', SELF.businesses, title_key='description', default=item.value_int) %]
   [% CASE 'partsgroup' %]
-    [% 'Group' | $T8 %] [% 'is' | $T8 %] [% L.select_tag('price_rule.items[].value_int', SELF.partsgroups, title_key='partsgroup', default=item.value_int) %]
+    [% 'Partsgroup' | $T8 %] [% 'is' | $T8 %] [% L.select_tag('price_rule.items[].value_int', SELF.partsgroups, title_key='partsgroup', default=item.value_int) %]
   [% CASE 'qty' %]
     [% 'Quantity' | $T8 %] [% L.select_tag('price_rule.items[].op', num_compare_ops, default=item.op) %] [% L.input_tag('price_rule.items[].value_num_as_number', item.value_num_as_number) %]
   [% CASE 'reqdate' %]
diff --git a/templates/webpages/vk/search_invoice.html b/templates/webpages/vk/search_invoice.html
index 87626463d..ee1875279 100644
--- a/templates/webpages/vk/search_invoice.html
+++ b/templates/webpages/vk/search_invoice.html
@@ -15,7 +15,7 @@
           <option value="description">[% 'Part' | $T8 %]</option>
           <option value="customername">[% 'Customer' | $T8 %]</option>
           <option value="country">[% 'Country' | $T8 %]</option>
-          <option value="partsgroup">[% 'Group' | $T8 %]</option>
+          <option value="partsgroup">[% 'Partsgroup' | $T8 %]</option>
           <option value="business">[% 'Customer type' | $T8 %]</option>
           <option value="salesman" selected="selected">[% 'Salesman' | $T8 %]</option>
           <option value="month">[% 'Month' | $T8 %]</option>
@@ -32,7 +32,7 @@
           <option value="description">[% 'Part' | $T8 %]</option>
           <option value="customername">[% 'Customer' | $T8 %]</option>
           <option value="country">[% 'Country' | $T8 %]</option>
-          <option value="partsgroup">[% 'Group' | $T8 %]</option>
+          <option value="partsgroup">[% 'Partsgroup' | $T8 %]</option>
           <option value="business">[% 'Customer type' | $T8 %]</option>
           <option value="salesman">[% 'Salesman' | $T8 %]</option>
           <option value="month" selected="selected">[% 'Month' | $T8 %]</option>
@@ -127,7 +127,7 @@
     </tr>
 
     <tr>
-      <th align="right">[% 'Group' | $T8 %]</th>
+      <th align="right">[% 'Partsgroup' | $T8 %]</th>
       <td>
         [%- INCLUDE 'generic/multibox.html'
           name          = 'partsgroup_id',
@@ -288,7 +288,7 @@
 
           <tr>
             <td align=left><input name="l_parts_unit" class=checkbox type=checkbox value=Y>[% 'Base unit' | $T8 %]</td>
-            <td align=left><input name="l_partsgroup" class=checkbox type=checkbox value=Y>[% 'Group' | $T8 %]</td>
+            <td align=left><input name="l_partsgroup" class=checkbox type=checkbox value=Y>[% 'Partsgroup' | $T8 %]</td>
             <td align=left><input name="l_salesman" class=checkbox type=checkbox value=Y>[% 'Salesperson' | $T8 %]</td>
             <td align=left><input name="l_employee" class=checkbox type=checkbox value=Y>[% 'Employee' | $T8 %]</td>
           </tr>